OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Types | List of all members
OMToolkit::OMVectorVisualiser< Mesh, Vector > Class Template Reference

`#include <OMVisualiser.h>`

Inheritance diagram for OMToolkit::OMVectorVisualiser< Mesh, Vector >:

## Public Member Functions
| OMVectorVisualiser (Mesh *mesh)
bool | ComputeColors (OpenMesh::VPropHandleT< Vector > vertexProperty, unsigned int vectorComponent, Scalar ommitExtremaPercent)
Public Member Functions inherited from OMToolkit::OMVisualiser< Mesh, Vector::value_type >
| OMVisualiser (Mesh *mesh)
void | ComputeColors (OpenMesh::VPropHandleT< Vector::value_type > vertexProperty, Vector::value_typeommitExtremaPercent)
void | ComputeColors (OpenMesh::FPropHandleT< Vector::value_type > faceProperty, Vector::value_typeommitExtremaPercent)
void | getLegend (Vector::value_type &maxBlue, Vector::value_type &maxGreen, Vector::value_type &maxRed)

## Protected Types
typedef Vector::value_type | Scalar

## Additional Inherited Members
Protected Member Functions inherited from OMToolkit::OMVisualiser< Mesh, Vector::value_type >
OpenMesh::Vec4uc | getColor (Vector::value_typecurrent)
Protected Attributes inherited from OMToolkit::OMVisualiser< Mesh, Vector::value_type >
Mesh * | m_mesh
OpenMesh::IO::ImporterT< Mesh > | importer
Vector::value_type | m_maxRed
Vector::value_type | m_maxGreen
Vector::value_type | m_maxBlue
Vector::value_type | m_Difference

## Detailed Description

### template<class Mesh, class Vector>
class OMToolkit::OMVectorVisualiser< Mesh, Vector >

Extension of Visualiser to handle vector types

Template Parameters

  Mesh | Mesh type to work with
  Vector | Vector type of the property

## Member Typedef Documentation

template<class Mesh , class Vector >

typedef Vector::value_type OMToolkit::OMVectorVisualiser< Mesh, Vector >::Scalar
| protected

Vector scalar type

## Constructor & Destructor Documentation

template<class Mesh , class Vector >

OMToolkit::OMVectorVisualiser< Mesh, Vector >::OMVectorVisualiser | ( | Mesh * | mesh | ) |
| inline

Constructor - creates a link to a mesh and initializes variables

Parameters

  mesh | Pointer to a mesh

## Member Function Documentation

template<class Mesh , class Vector >

bool OMVectorVisualiser::ComputeColors | ( | OpenMesh::VPropHandleT< Vector > | vertexProperty,
|  | unsigned int | vectorComponent,
|  | Scalar | ommitExtremaPercent
| ) |  |

Computes colors from a vertex vector property and saves them into mesh

Parameters

  vertexProperty | Handle to a property, from which we will compute colors
  vectorComponent | Number of vector component to be visualised
  ommitExtremaPercent | Number of percent which will be ommited from extrema (for ex. value 2.0 ommits 2% of brightest and darkest points)

The documentation for this class was generated from the following files:

- trunk/include/OMToolkit/OMVisualiser.h
- trunk/include/OMToolkit/OMVisualiser.hxx